=== debian/changelog ===
zathura (0.2.9-2) unstable; urgency=medium

  * Use system libsynctex:
    - debian/control: Add libsynctex-dev to Build-Depends.
    - debian/patches/use-system-synctex.patch: Upstream patch to build against
      system provided libsynctex.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 01 Jul 2014 01:23:35 +0200

zathura (0.2.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump libgirara-dev B-D to >= 0.2.2.
    - Replace python-docutils with python3-sphinx. Sphinx is now used to
      generate the manpages.
  * debian/copyright: Document license of new files in synctex.
  * debian/clean: Remove manpages, add css-definitions.c.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 25 Jun 2014 18:27:06 +0200

zathura (0.2.7-1) unstable; urgency=medium

  * New upstream release.
    - zathura 0.2.7.
    - zathura-pdf-poppler 0.2.5.
  * debian/copyright: Update copyright years.
  * debian/zathura.install: Install D-Bus introspection data.
  * debian/control: Mention SyncTex support in Description.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 17 Feb 2014 17:42:38 +0100
