=== debian/changelog ===
zathura (0.3.1-2) unstable; urgency=medium

  * debian/patches/scrolling-SIGSEGV.patch: Apply upstream patch to fix
    crashes if smooth-scroll is enabled.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Nov 2014 23:09:45 +0100

zathura (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/zathura.install: Install AppData file.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 22 Oct 2014 22:28:06 +0200

zathura (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Disable colored build output.
  * debian/control:
    - Bump Standards-Version.
    - Bump libgirara-dev to >= 0.2.3 in Build-Depends.
  * debian/patches: Remove all patches, applied upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 17 Oct 2014 02:47:00 +0200
