=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper (>= 9),
  dpkg-dev (>= 1.16.1~),
  pkg-config,
- libgirara-dev (>= 0.2.2),
+ libgirara-dev (>= 0.2.3),
  libgtk-3-dev,
  libcairo2-dev (>= 1.8.8),
  libpoppler-glib-dev (>= 0.12.3),
@@ -18,7 +18,7 @@
  xvfb,
  xauth,
  python3-sphinx
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://pwmt.org/projects/zathura
 
 Package: zathura
