=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,8 @@
 export PKG_CONFIG_PATH=$(CURDIR)/zathura-headers/usr/lib/pkgconfig
 # disable check's timeout functionality
 export CK_DEFAULT_TIMEOUT=0
+# disable colors
+export COLOR=0
 
 PDFVER=0.2.5
 PDFVERC=$(subst .,-,$(PDFVER))
