## zathura 0.3.3

=== debian/changelog ===
zathura (0.3.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 26 Apr 2015 19:12:56 +0200

zathura (0.3.3-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/link-test-with-synctex.patch: Removed, no longer needed.
  * debian/copyright: Update copyright years.
  * debian/control: Bump girara B-D to >= 0.2.4.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 14 Apr 2015 18:52:27 +0200

zathura (0.3.2-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches:
    - scrolling-SIGSEGV.patch: Removed again.
    - link-test-with-synctex.patch: Fix linking of tests.
  * debian/copyright: Update due to filename changes.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 10 Nov 2014 00:23:32 +0100
