=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper (>= 9),
  dpkg-dev (>= 1.16.1~),
  pkg-config,
- libgirara-dev (>= 0.2.3),
+ libgirara-dev (>= 0.2.4),
  libgtk-3-dev,
  libcairo2-dev (>= 1.8.8),
  libpoppler-glib-dev (>= 0.12.3),
