## zathura 0.3.5

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,7 @@
 include colors.mk
 include common.mk
 
-OSOURCE    = $(filter-out css-definitions.c, $(filter-out dbus-interface-definitions.c, $(wildcard *.c)))
-HEADER     = $(wildcard *.h) $(wildcard synctex/*.h)
-HEADERINST = version.h document.h macros.h page.h types.h plugin-api.h links.h
+OSOURCE    = $(filter-out ${PROJECT}/css-definitions.c, $(filter-out ${PROJECT}/dbus-interface-definitions.c, $(wildcard ${PROJECT}/*.c)))
 
 ifneq (${WITH_SQLITE},0)
 INCS     += $(SQLITE_INC)
@@ -14,7 +12,7 @@
 SOURCE    = $(OSOURCE)
 CPPFLAGS += -DWITH_SQLITE
 else
-SOURCE    = $(filter-out database-sqlite.c,$(OSOURCE))
+SOURCE    = $(filter-out ${PROJECT}/database-sqlite.c,$(OSOURCE))
 endif
 
 ifneq ($(WITH_MAGIC),0)
@@ -23,20 +21,10 @@
 CPPFLAGS += -DWITH_MAGIC
 endif
 
-ifneq ($(WITH_SYSTEM_SYNCTEX),0)
-INCS   += $(SYNCTEX_INC)
-LIBS   += $(SYNCTEX_LIB)
-else
-INCS   += $(ZLIB_INC)
-LIBS   += $(ZLIB_LIB)
-SOURCE += $(wildcard synctex/*.c)
-
-ifeq (,$(findstring -Isynctex,${CPPFLAGS}))
-CPPFLAGS += -Isynctex
-endif
-ifeq (,$(findstring -DSYNCTEX_VERBOSE=0,${CPPFLAGS}))
-CPPFLAGS += -DSYNCTEX_VERBOSE=0
-endif
+ifneq ($(WITH_SYNCTEX),0)
+INCS     += $(SYNCTEX_INC)
+LIBS     += $(SYNCTEX_LIB)
+CPPFLAGS += -DWITH_SYNCTEX
 endif
 
 ifneq ($(wildcard ${VALGRIND_SUPPRESSION_FILE}),)
@@ -53,16 +41,25 @@
 CPPFLAGS += -DLOCALEDIR=\"${LOCALEDIR}\"
 endif
 
-OBJECTS  = $(patsubst %.c, %.o,  $(SOURCE)) dbus-interface-definitions.o css-definitions.o
-DOBJECTS = $(patsubst %.o, %.do, $(OBJECTS))
+OBJECTS       = $(addprefix ${BUILDDIR_RELEASE}/,${SOURCE:.c=.o}) \
+	${BUILDDIR_RELEASE}/${PROJECT}/css-definitions.o \
+	${BUILDDIR_RELEASE}/${PROJECT}/dbus-interface-definitions.o
+OBJECTS_DEBUG = $(addprefix ${BUILDDIR_DEBUG}/,${SOURCE:.c=.o}) \
+	${BUILDDIR_DEBUG}/${PROJECT}/css-definitions.o \
+	${BUILDDIR_DEBUG}/${PROJECT}/dbus-interface-definitions.o
+OBJECTS_GCOV  = $(addprefix ${BUILDDIR_GCOV}/,${SOURCE:.c=.o}) \
+	${BUILDDIR_GCOV}/${PROJECT}/css-definitions.o \
+	${BUILDDIR_GCOV}/${PROJECT}/dbus-interface-definitions.o
+HEADER        = $(wildcard ${PROJECT}/*.h) $(wildcard synctex/*.h)
+HEADERINST    = $(addprefix ${PROJECT}/,version.h document.h macros.h page.h types.h plugin-api.h links.h)
 
 all: options ${PROJECT} po build-manpages
 
 # pkg-config based version checks
 .version-checks/%: config.mk
 	$(QUIET)test $($(*)_VERSION_CHECK) -eq 0 || \
-		pkg-config --atleast-version $($(*)_MIN_VERSION) $($(*)_PKG_CONFIG_NAME) || ( \
-		echo "The minium required version of $(*) is $($(*)_MIN_VERSION)" && \
+		${PKG_CONFIG} --atleast-version $($(*)_MIN_VERSION) $($(*)_PKG_CONFIG_NAME) || ( \
+		echo "The minimum required version of $(*) is $($(*)_MIN_VERSION)" && \
 		false \
 	)
 	@mkdir -p .version-checks
@@ -75,71 +72,124 @@
 	@echo "DFLAGS  = ${DFLAGS}"
 	@echo "CC      = ${CC}"
 
-version.h: version.h.in config.mk
+${PROJECT}/version.h: ${PROJECT}/version.h.in config.mk
 	$(QUIET)sed -e 's/ZVMAJOR/${ZATHURA_VERSION_MAJOR}/' \
 		-e 's/ZVMINOR/${ZATHURA_VERSION_MINOR}/' \
 		-e 's/ZVREV/${ZATHURA_VERSION_REV}/' \
 		-e 's/ZVAPI/${ZATHURA_API_VERSION}/' \
-		-e 's/ZVABI/${ZATHURA_ABI_VERSION}/' version.h.in > version.h.tmp
-	$(QUIET)mv version.h.tmp version.h
-
-dbus-interface-definitions.c: data/org.pwmt.zathura.xml
+		-e 's/ZVABI/${ZATHURA_ABI_VERSION}/' ${PROJECT}/version.h.in > ${PROJECT}/version.h.tmp
+	$(QUIET)mv ${PROJECT}/version.h.tmp ${PROJECT}/version.h
+
+${PROJECT}/dbus-interface-definitions.c: data/org.pwmt.zathura.xml
 	$(QUIET)echo '#include "dbus-interface-definitions.h"' > $@.tmp
 	$(QUIET)echo 'const char* DBUS_INTERFACE_XML =' >> $@.tmp
 	$(QUIET)sed 's/^\(.*\)$$/"\1\\n"/' data/org.pwmt.zathura.xml >> $@.tmp
 	$(QUIET)echo ';' >> $@.tmp
 	$(QUIET)mv $@.tmp $@
 
-css-definitions.c: data/zathura.css_t
+${PROJECT}/css-definitions.c: data/zathura.css_t
 	$(QUIET)echo '#include "css-definitions.h"' > $@.tmp
 	$(QUIET)echo 'const char* CSS_TEMPLATE_INDEX =' >> $@.tmp
 	$(QUIET)sed 's/^\(.*\)$$/"\1\\n"/' $< >> $@.tmp
 	$(QUIET)echo ';' >> $@.tmp
 	$(QUIET)mv $@.tmp $@
 
-%.o: %.c
+# release build
+
+${OBJECTS}: config.mk ${PROJECT}/version.h \
+	.version-checks/GIRARA .version-checks/GLIB .version-checks/GTK
+
+${BUILDDIR_RELEASE}/%.o: %.c
 	$(call colorecho,CC,$<)
-	$(QUIET) mkdir -p $(shell dirname .depend/$@.dep)
-	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} -o $@ $< -MMD -MF .depend/$@.dep
-
-%.do: %.c
+	@mkdir -p ${DEPENDDIR}/$(dir $@)
+	@mkdir -p $(dir $(abspath $@))
+	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} -o $@ $< -MMD -MF ${DEPENDDIR}/$@.dep
+
+${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT}: ${OBJECTS}
+	$(call colorecho,CC,$@)
+	@mkdir -p ${BUILDDIR_RELEASE}/${BINDIR}
+	$(QUIET)${CC} ${SFLAGS} ${LDFLAGS} \
+		-o ${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT} ${OBJECTS} ${LIBS}
+
+${PROJECT}: ${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT}
+
+release: ${PROJECT}
+
+run: release
+	$(QUIET)./${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT}
+
+# debug build
+
+${OBJECTS_DEBUG}: config.mk ${PROJECT}/version.h \
+	.version-checks/GIRARA .version-checks/GLIB .version-checks/GTK
+
+${BUILDDIR_DEBUG}/%.o: %.c
 	$(call colorecho,CC,$<)
-	$(QUIET) mkdir -p $(shell dirname .depend/$@.dep)
-	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${DFLAGS} -o $@ $< -MMD -MF .depend/$@.dep
-
-${OBJECTS} ${DOBJECTS}: config.mk version.h \
+	@mkdir -p ${DEPENDDIR}/$(dir $@)
+	@mkdir -p $(dir $(abspath $@))
+	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${DFLAGS} \
+		-o $@ $< -MMD -MF ${DEPENDDIR}/$@.dep
+
+${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}: ${OBJECTS_DEBUG}
+	$(call colorecho,CC,$@)
+	@mkdir -p ${BUILDDIR_DEBUG}/${BINDIR}
+	$(QUIET)${CC} ${LDFLAGS} \
+		-o ${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT} ${OBJECTS_DEBUG} ${LIBS}
+
+debug: ${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}
+
+run-debug: debug
+	$(QUIET)./${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}
+
+# gcov build
+
+${OBJECTS_GCOV}: config.mk ${PROJECT}/version.h \
 	.version-checks/GIRARA .version-checks/GLIB .version-checks/GTK
 
-${PROJECT}: ${OBJECTS}
+${BUILDDIR_GCOV}/%.o: %.c
+	$(call colorecho,CC,$<)
+	@mkdir -p ${DEPENDDIR}/$(dir $@)
+	@mkdir -p $(dir $(abspath $@))
+	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${GCOV_CFLAGS} \
+		-o $@ $< -MMD -MF ${DEPENDDIR}/$@.dep
+
+${BUILDDIR_GCOV}/${BINDIR}/${PROJECT}: ${OBJECTS_GCOV}
 	$(call colorecho,CC,$@)
-	$(QUIET)${CC} ${SFLAGS} ${LDFLAGS} -o $@ ${OBJECTS} ${LIBS}
+	@mkdir -p ${BUILDDIR_GCOV}/${BINDIR}
+	$(QUIET)${CC} ${LDFLAGS} ${GCOV_CFLAGS} ${GCOV_LDFLAGS} \
+		-o ${BUILDDIR_GCOV}/${BINDIR}/${PROJECT} ${OBJECTS_GCOv} ${LIBS}
+
+gcov: options ${BUILDDIR_GCOV}/${BINDIR}/${PROJECT}
+	$(QUIET)${MAKE} -C tests run-gcov
+	$(call colorecho,LCOV,"Analyse data")
+	$(QUIET)${LCOV_EXEC} ${LCOV_FLAGS}
+	$(call colorecho,LCOV,"Generate report")
+	$(QUIET)${GENHTML_EXEC} ${GENHTML_FLAGS}
+
+run-gcov: ${BUILDDIR_GCOV}/${BINDIR}/${PROJECT}
+	$(QUIET)./${BUILDDIR_GCOV}/${BINDIR}/${PROJECT}
+
+# clean
 
 clean:
-	$(QUIET)rm -rf ${PROJECT} \
-		${OBJECTS} \
+	$(QUIET)rm -rf \
+		${BUILDDIR} \
+		${DEPENDDIR} \
 		${TARFILE} \
 		${TARDIR} \
-		${DOBJECTS} \
-		${PROJECT}-debug \
-		.depend \
 		${PROJECT}.pc \
-		version.h \
-		version.h.tmp \
-		dbus-interface-definitions.c \
-		dbus-interface-definitions.c.tmp \
-		css-definitions.c \
-		css-definitions.c.tmp \
-		*gcda *gcno $(PROJECT).info gcov *.tmp \
+		${PROJECT}/version.h \
+		${PROJECT}/version.h.tmp \
+		${PROJECT}/dbus-interface-definitions.c \
+		${PROJECT}/dbus-interface-definitions.c.tmp \
+		${PROJECT}/css-definitions.c \
+		${PROJECT}/css-definitions.c.tmp \
+		$(PROJECT).info \
+		gcov \
 		.version-checks
 	$(QUIET)$(MAKE) -C tests clean
 	$(QUIET)$(MAKE) -C po clean
 	$(QUIET)$(MAKE) -C doc clean
-
-${PROJECT}-debug: ${DOBJECTS}
-	$(call colorecho,CC,$@)
-	$(QUIET)${CC} ${LDFLAGS} -o $@ ${DOBJECTS} ${LIBS}
-
-debug: ${PROJECT}-debug
 
 ${PROJECT}.pc: ${PROJECT}.pc.in config.mk
 	$(QUIET)echo project=${PROJECT} > ${PROJECT}.pc
@@ -153,13 +203,13 @@
 
 valgrind: debug
 	 $(QUIET)G_SLICE=always-malloc G_DEBUG=gc-friendly ${VALGRIND} ${VALGRIND_ARGUMENTS} \
-		 ./${PROJECT}-debug
+		 ${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}
 
 gdb: debug
-	$(QUIET)cgdb ${PROJECT}-debug
+	$(QUIET)cgdb ${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}
 
 test: ${OBJECTS}
-	$(QUIET)make -C tests run
+	$(QUIET)$(MAKE) -C tests run
 
 dist: clean build-manpages
 	$(QUIET)tar -czf $(TARFILE) --exclude=.gitignore \
@@ -168,13 +218,7 @@
 		doc/_build/$(PROJECT).1 doc/_build/$(PROJECT)rc.5
 
 doc:
-	$(QUIET)make -C doc
-
-gcov: clean
-	$(QUIET)CFLAGS="${CFLAGS} -fprofile-arcs -ftest-coverage" LDFLAGS="${LDFLAGS} -fprofile-arcs" ${MAKE} $(PROJECT)
-	$(QUIET)CFLAGS="${CFLAGS} -fprofile-arcs -ftest-coverage" LDFLAGS="${LDFLAGS} -fprofile-arcs" ${MAKE} -C tests run
-	$(QUIET)lcov --directory . --capture --output-file $(PROJECT).info
-	$(QUIET)genhtml --output-directory gcov $(PROJECT).info
+	$(QUIET)$(MAKE) -C doc
 
 po:
 	$(QUIET)${MAKE} -C po
@@ -217,7 +261,7 @@
 install: all install-headers install-manpages install-dbus install-appdata
 	$(call colorecho,INSTALL,"executeable file")
 	$(QUIET)mkdir -m 755 -p ${DESTDIR}${PREFIX}/bin
-	$(QUIET)install -m 755 ${PROJECT} ${DESTDIR}${PREFIX}/bin
+	$(QUIET)install -m 755 ${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT} ${DESTDIR}${PREFIX}/bin
 	$(QUIET)mkdir -m 755 -p ${DESTDIR}${DESKTOPPREFIX}
 	$(call colorecho,INSTALL,"desktop file")
 	$(QUIET)install -m 644 ${PROJECT}.desktop ${DESTDIR}${DESKTOPPREFIX}
@@ -244,7 +288,8 @@
 	$(QUIET)rm -f $(DESTDIR)$(APPDATAPREFIX)/$(PROJECT).appdata.xml
 	$(MAKE) -C po uninstall
 
--include $(wildcard .depend/*.dep)
+DEPENDS = ${DEPENDDIRS:^=${DEPENDDIR}/}$(addprefix ${DEPENDDIR}/,${OBJECTS:.o=.o.dep})
+-include ${DEPENDS}
 
 .PHONY: all options clean doc debug valgrind gdb dist doc install uninstall \
 	test po install-headers uninstall-headers update-po install-manpages \
