=== debian/changelog ===
zathura (0.3.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version.
    - Add Vcs-* fields.
  * debian/patches: Removed, included upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 15 Feb 2016 01:51:08 +0100

zathura (0.3.4-2) unstable; urgency=medium

  * No longer build PDF poppler plugin in this package.
    - debian/rules: No longer build PDF plugin.
    - debian/control:
      + Remove PDF plugin Build-Depends.
      + Add Depends on zathura-pdf-poppler.
      + Remove poppler-data from Suggests.
    - debian/zathura.mime: Removed since the PDF plugin is no longer included.
      MIME type handling is now fully done via desktop files. (Closes:
      #740185).
  * debian/patches/startup-improvements.patch: Upstream patch to fix some
    startup behavior. zathura now proerly handles -- as arguments. (Closes:
    #811032)
  * debian/rules: Build manpages with -j1 since this step sometimes fails with
    --parallel.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 22 Jan 2016 01:34:16 +0100

zathura (0.3.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump libgirara-dev dependencies to (>= 0.2.5).
    - Remove obsolete dpkg-dev B-D.
    - No longer mark zathura-dev as Multi-Arch: foreign. Thanks to Jakub Wilk
      for the report.
  * debian/zathura.menu: Removed (command-in-menu-file-and-desktop-file).
  * debian/patches/fix-tests.patch: Fix build of test suite.
  * debian/copyright: Remove zathura/synctex paragraph.
  * debian/dh_zathura.1: Fix typo.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 Dec 2015 18:55:56 +0100
