=== debian/control ===
Source: zathura
Section: text
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9),
 pkg-config,
 libgirara-dev (>= 0.2.5),
 libgtk-3-dev,
 libcairo2-dev (>= 1.8.8),
 libsqlite3-dev,
 libmagic-dev,
 libsynctex-dev,
 gettext,
 check,
 xvfb,
 xauth,
 python3-sphinx
Standards-Version: 3.9.7
Homepage: http://pwmt.org/projects/zathura
Vcs-Git: https://anonscm.debian.org/git/collab-maint/zathura.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zathura.git

Package: zathura
Architecture: any
Provides:
 ${zathura:Provides}
Depends:
 zathura-pdf-poppler,
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 www-browser,
 zathura-ps,
 zathura-djvu,
 zathura-cb
Description: document viewer with a minimalistic interface
 zathura is a document viewer with a minimalistic and space saving interface.
 It offers a vim-like experience and has a focus on keyboard interaction.
 The key bindings, commands and most other settings can be customized.
 .
 Some of the features are:
  * bookmarking pages
  * printing the whole document or specific pages
  * following links
  * searching in the document
  * browsing the document index
  * SyncTex forward and backward synchronization
 .
 zathura can be extended to support other file formats via a plugin system.

Package: zathura-dev
Section: libdevel
Architecture: all
Depends:
 ${misc:Depends},
 libgirara-dev (>= 0.2.5),
 libgtk-3-dev,
 libcairo2-dev (>= 1.8.8)
Description: development files for zathura plugins
 zathura is a document viewer with a minimalistic and space saving interface.
 It can be extended to support other file formats via a plugin system.
 .
 This package contains the files to develop plugins.
