=== debian/watch ===
version=3
http://pwmt.org/projects/zathura/download/ zathura-([0-9.]*)\.tar\.gz
