## zathura 0.3.6

=== debian/changelog ===
zathura (0.3.6-2) unstable; urgency=medium

  * debian/patches/Fix-typo-in-manpage.patch: Fix typo in manpage.
  * debian/rules:
    - Fix building with all hardening flags enabled.
    - Remove make doc workaround.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 19 Apr 2016 19:45:06 +0200

zathura (0.3.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version.
    - Bump B-D on girara.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 19 Apr 2016 08:58:31 +0200
