=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper (>= 9),
  pkg-config,
- libgirara-dev (>= 0.2.5),
+ libgirara-dev (>= 0.2.6),
  libgtk-3-dev,
  libcairo2-dev (>= 1.8.8),
  libsqlite3-dev,
@@ -16,7 +16,7 @@
  xvfb,
  xauth,
  python3-sphinx
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://pwmt.org/projects/zathura
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/zathura.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zathura.git
@@ -54,7 +54,7 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- libgirara-dev (>= 0.2.5),
+ libgirara-dev (>= 0.2.6),
  libgtk-3-dev,
  libcairo2-dev (>= 1.8.8)
 Description: development files for zathura plugins
