=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 # Use all hardening flags for zathura
-export DEB_BUILD_MAINT_OPTIONS="hardening=+all"
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 # do not strip
 export SFLAGS=
@@ -18,7 +18,6 @@
 	dh $@ --parallel
 
 override_dh_auto_build:
-	$(MAKE) -j1 doc
 	dh_auto_build
 	# append gtk3 to ABI version for the GTK+2 -> GTK+3 switch
 	# (can be dropped once zathura bumps its ABI the next time)
