=== debian/changelog ===
zathura (0.3.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/{rules,control,compat}: Bump to debhelper compat to 10.
  * debian/control: Update girara dependencies.
  * debian/copyright: Update copyright years.
  * debian/patches: Drop obsolete patches.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Jan 2017 23:09:45 +0100
