=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  pkg-config,
- libgirara-dev (>= 0.2.6),
+ libgirara-dev (>= 0.2.7),
  libgtk-3-dev,
  libcairo2-dev (>= 1.8.8),
  libsqlite3-dev,
@@ -54,7 +54,7 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- libgirara-dev (>= 0.2.6),
+ libgirara-dev (>= 0.2.7),
  libgtk-3-dev,
  libcairo2-dev (>= 1.8.8)
 Description: development files for zathura plugins
