=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 export COLOR=0
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_build:
 	dh_auto_build
